curl -X GET https://api.falconalert.com/users \
-H "Authorization: Bearer eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9..."
{
"id": "1",
"email": "user@example.com",
"name": "John Doe",
"username": "johndoe_123",
"password": "55e1ebd3ebe4f1b46a5ccc9866d",
"salt": "432423",
"image_path": "profile-pictures/default.jpg",
"role_id": 1,
"created_at": "2025-09-25T12:14:44.000Z",
"updated_at": "2025-10-24T01:45:55.000Z"
}
Retrieve the authenticated user’s profile information
curl -X GET https://api.falconalert.com/users \
-H "Authorization: Bearer eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9..."
{
"id": "1",
"email": "user@example.com",
"name": "John Doe",
"username": "johndoe_123",
"password": "55e1ebd3ebe4f1b46a5ccc9866d",
"salt": "432423",
"image_path": "profile-pictures/default.jpg",
"role_id": 1,
"created_at": "2025-09-25T12:14:44.000Z",
"updated_at": "2025-10-24T01:45:55.000Z"
}
Documentation Index
Fetch the complete documentation index at: https://mintlify.com/4rt21/backend-proyecto/llms.txt
Use this file to discover all available pages before exploring further.
Bearer <your_access_token>1 - Regular user2 - Admin usercurl -X GET https://api.falconalert.com/users \
-H "Authorization: Bearer eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9..."
{
"id": "1",
"email": "user@example.com",
"name": "John Doe",
"username": "johndoe_123",
"password": "55e1ebd3ebe4f1b46a5ccc9866d",
"salt": "432423",
"image_path": "profile-pictures/default.jpg",
"role_id": 1,
"created_at": "2025-09-25T12:14:44.000Z",
"updated_at": "2025-10-24T01:45:55.000Z"
}
| Status Code | Description |
|---|---|
| 401 | Unauthorized - Invalid or missing JWT token |